Bug 253094 - [REGRESSION] '--noplugins' does not disable 'installonlyn' functionality anymore
[REGRESSION] '--noplugins' does not disable 'installonlyn' functionality anymore
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
7
All Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-16 17:58 EDT by Enrico Scholz
Modified: 2014-01-21 17:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-13 14:58:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2007-08-16 17:58:17 EDT
Description of problem:

After upgrade to yum 3.2.2 the '--noplugins' option does not seem to work
anymore, e.g. the 'installonlyn' plugin is always active:

----
# yum upgrade  --noplugins
...
Installing:
 kernel                  noarch     99:2.6.22.3-1    kernel            2.2 k
 kernel-kosh             i686       99:2.6.22.3-1    kernel            8.8 M
Updating:
 kernel-SOURCE           noarch     99:2.6.22.3-1    kernel             57 M
 kernel-doc              noarch     99:2.6.22.3-1    kernel            1.1 M
 kernel-kosh-source      i686       99:2.6.22.3-1    kernel            5.8 M
Removing:
 kernel                  noarch     99:2.6.22.1-1    installed          0.0
 kernel                  noarch     99:2.6.20.11-1   installed          0.0
 kernel                  noarch     99:2.6.21.5-1    installed          0.0
 kernel-kosh             i686       99:2.6.20.11-1   installed          23 M
 kernel-kosh             i686       99:2.6.21.5-2    installed          23 M
 kernel-kosh             i686       99:2.6.22.1-2    installed          24 M

# uname -r
2.6.20.11-ensc-1
----

Expected output would be that 'installonlyn' plugin is deactivated.


As you can see, recent yum removes the currently running kernel which is very
problematic (e.g. this might be the last working kernel, modules needed for
shutdown can not be found). Until yum-3.2.1 I could workaround this by
'--noplugins', but this does not work anymore.


Version-Release number of selected component (if applicable):

3.2.2


How reproducible:

100%
Comment 1 Seth Vidal 2007-08-16 21:35:25 EDT
installonlyn is not a plugin in 3.2.2 - it's built in functionality.

this was in the changelog for the update.

which one of the listed installed kernel pkgs is the currently running kernel?

take a look at:

/usr/lib/python2.5/site-packages/yum/misc.py
get_running_kernel_version_release() for how we're trying to match running
kernel to a package.


Comment 2 Enrico Scholz 2007-08-17 03:08:04 EDT
> installonlyn is not a plugin in 3.2.2 - it's built in functionality.

how can I disable it at CLI? formerly it was possible with '--noplugins' or
--disablepluging


> which one of the listed installed kernel pkgs is the currently running kernel?

this, which is owning /lib/modules/`uname -r`:

| $ rpm -qf /lib/modules/`uname -r`
| kernel-kosh-2.6.20.11-1


> /usr/lib/python2.5/site-packages/yum/misc.py
> get_running_kernel_version_release() 

this is full of heuristics which can be part of a fedora specific plugin but not
of core functionality.

Note You need to log in before you can comment on or make changes to this bug.